package com.duowenlvshi.duowenlszp.model.Push.dao;

import com.duowenlvshi.duowenlszp.model.Push.entity.Push;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface PushMapper {


    int insertSelective(Push record);

    Push selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Push record);

    /*查询精准推送岗位列表*/
    List<Map> selectByLawyerIdBList(@Param("map1")Map map1);

    int insertMessage(@Param("map")Map map);

    Integer selectByLawyerIdBListCount(String lawyerIdb);

    Date selectNewTime(String selectNewTime);




}